%define upstream_name    Monitoring-Availability
%define upstream_version 0.46

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Load/Store/Access Logfiles
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Monitoring/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Test::More) >= 0.870.0
BuildArch:  noarch

%description
This module calculates the availability for hosts/server from given
logfiles. The Logfileformat is Nagios/Icinga only.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.460.0-6.mga6
+ Revision: 1030313
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.460.0-5.mga6
+ Revision: 943901
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.460.0-4.mga5
+ Revision: 750255
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.460.0-3.mga5
+ Revision: 685489
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.460.0-2.mga4
+ Revision: 527122
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.460.0-1.mga4
+ Revision: 439572
- update to 0.46

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-2.mga3
+ Revision: 370042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.400.0-1.mga3
+ Revision: 342386
- update to 0.40

* Wed Jul 04 2012 jquelin <jquelin> 0.380.0-1.mga3
+ Revision: 267390
- update to 0.38

* Tue Jun 05 2012 jquelin <jquelin> 0.360.0-1.mga3
+ Revision: 255733
- adding missing buildrequires:
- update to 0.36

* Mon Mar 05 2012 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 218762
- update to 0.24
- update to 0.20

* Tue Apr 19 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 88536
- update to 0.18

* Fri Jan 21 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 28660
- mageia rebuild
- imported package perl-Monitoring-Availability


* Sat Jan 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.160.0-1mdv2011.0
+ Revision: 627146
- import perl-Monitoring-Availability

